# We have a conf and classes directory, append to BBPATH
BBPATH .= ":${LAYERDIR}"

# We have a recipes directory containing .bb and .bbappend files, add to BBFILES
BBFILES += "${LAYERDIR}/recipes-*/*/*.bb \
            ${LAYERDIR}/recipes-*/*/*.bbappend"

BBFILES_DYNAMIC += " \
    rust-layer:${LAYERDIR}/dynamic-layers/rust/*/*/*.bb \
"

BBFILE_COLLECTIONS += "meta-pbarker-dev"
BBFILE_PATTERN_meta-pbarker-dev := "^${LAYERDIR}/"
BBFILE_PRIORITY_meta-pbarker-dev = "5"

LAYERSERIES_COMPAT_meta-pbarker-dev = "dunfell gatesgarth"
LAYERDEPENDS_meta-pbarker-dev = "core"
